Name:           gimp-normalmap
Version:        1.2.3
Release:        9%{?dist}
Summary:        Plugin that enabled the creation of normal maps

License:        GPLv2+
URL:            http://code.google.com/p/gimp-normalmap/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:         %{name}-fixmake.patch

BuildRequires:  gimp-devel
BuildRequires:  gtkglext-devel
BuildRequires:  glew-devel
Requires:       gimp

%description
A plugin for Gimp that enables the creation of normal maps
that you can use to achieve a number of lighting effects in pixel-based artwork.

%prep
%setup -q
%patch0

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
mkdir -p %{buildroot}%{_libdir}/gimp/2.0/plug-ins/
install -m 755 normalmap %{buildroot}%{_libdir}/gimp/2.0/plug-ins/

%files
%doc COPYING README
%{_libdir}/gimp/2.0/plug-ins/normalmap


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 18 2013 Dave Airlie <airlied@redhat.com> - 1.2.3-7
- rebuilt for GLEW 1.10

* Mon Sep 02 2013 Patrick Uiterwijk <patrick@puiterwijk.org> - 1.2.3-6
- No longer claim the plug-ins directory

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 23 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.3-4
- Removed the -O3 flag

* Thu Feb 07 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.3-3
- Patched Makefile and spec to use optflags

* Fri Feb 01 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.3-2
- Requires Gimp added

* Thu Jan 31 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.3-1
- First packaging effort

